Bug 996191 - [Admin Portal] Changing TZ of running Windows VM is possible but the value is not saved in DB
[Admin Portal] Changing TZ of running Windows VM is possible but the value is...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Martin Betak
Pavel Novotny
virt
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 11:34 EDT by Jiri Belka
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 08:55:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (3.59 KB, application/x-gzip)
2013-08-12 11:34 EDT, Jiri Belka
no flags Details

  None (edit)
Description Jiri Belka 2013-08-12 11:34:52 EDT
Created attachment 785760 [details]
engine.log

Description of problem:
In is9.1 I can change TZ of running Windows VM, thus no error, but the value is still the old one, it is not saved into DB.

Version-Release number of selected component (if applicable):
is9.1

How reproducible:
100%

Steps to Reproduce:
1. create a new Windows VM
2. start VM
3. when running try to change TZ
4. check again VM properties for TZ and DB

Actual results:
UI allows the user to change TZ for running Windows VM but the value is not change

Expected results:
UI should not allow this change at all when Windows Vm is running - error popup

Additional info:
in the past it was not possible => UI error popup, it was even not possible to select different TZ because the list was inactive and gray
Comment 1 Martin Betak 2013-09-06 07:23:16 EDT
jbelka: can you please check if this behavior also occurs on the latest is?
Comment 2 Jiri Belka 2013-09-06 08:42:01 EDT
is13 - i cannot reproduce as i get:

"Error while executing action:

test:

    There was an attempt to change VM values while the VM is not down. Please shut down the VM in order to modify these properties."

Note You need to log in before you can comment on or make changes to this bug.